import java.io.File;

// Ein Such-Verzeichnis
// Einen Such-Namen
// Ausgabe aller gefundenen Dateien mit Pfad untereinander

public class Dateisuche1 {

	public static void main(String[] args) {
		System.out.println("Dateisuche 1 - nach Namen");

		String searchpath = "C:\\JavaDateiSystemBeispiele";
		String searchname = "find.txt";
		
		searchInDirectory(searchpath, searchname);
		
		
	}

	private static void searchInDirectory(String searchpath, String searchname) {
		File searchpathFile = new File(searchpath);
		String[] items = searchpathFile.list();
		for (String item : items) {
			String itempath = searchpath + "\\" + item;
			File itempathFile = new File(itempath);
			if (item.equals(searchname)) {
				System.out.print(itempathFile.isDirectory() ? "Ver " : "Dat ");
				System.out.println(itempath);
			}
			if (itempathFile.isDirectory()) {
				//System.out.println("Gehen ins Sub-verzeichnis " + item);
				searchInDirectory(itempath, searchname);
			}
		}
	}

}
